interactions:
- request:
    body: !!binary |
[encoded data, 78253 characters]
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer __MASTODON_PY_TEST_ACCESS_TOKEN]
      Connection: [keep-alive]
      Content-Length: ['53738']
      Content-Type: [multipart/form-data; boundary=919d6988ae9c42ed9c78125d95b18b22]
      User-Agent: [python-requests/2.18.4]
    method: POST
    uri: http://localhost:3000/api/v1/media
  response:
    body: {string: '{"id":"11","type":"image","url":"http://localhost:3000/system/media_attachments/files/000/000/011/original/3225f2cff95c6c57.jpeg","preview_url":"http://localhost:3000/system/media_attachments/files/000/000/011/small/3225f2cff95c6c57.jpeg","remote_url":null,"text_url":"http://localhost:3000/media/lS5uGpo0u3piejvEXlU","meta":{"focus":{"x":-0.5,"y":0.3},"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"John
        Lennon doing a funny walk"}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Type: [application/json; charset=utf-8]
      ETag: [W/"76c66ebdaa7c07689069106b63c11e32"]
      Referrer-Policy: [strict-origin-when-cross-origin]
      Transfer-Encoding: [chunked]
      Vary: ['Accept-Encoding, Origin']
      X-Content-Type-Options: [nosniff]
      X-Download-Options: [noopen]
      X-Frame-Options: [SAMEORIGIN]
      X-Permitted-Cross-Domain-Policies: [none]
      X-Request-Id: [541b5ce7-d45d-468d-95fd-c60e5d8d599f]
      X-Runtime: ['0.156607']
      X-XSS-Protection: [1; mode=block]
      content-length: ['534']
    status: {code: 200, message: OK}
- request:
    body: focus=0.69%2C0.69&description=John+Lennon+doing+a+cool+walk
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer __MASTODON_PY_TEST_ACCESS_TOKEN]
      Connection: [keep-alive]
      Content-Length: ['59']
      Content-Type: [application/x-www-form-urlencoded]
      User-Agent: [python-requests/2.18.4]
    method: PUT
    uri: http://localhost:3000/api/v1/media/11
  response:
    body: {string: '{"id":"11","type":"image","url":"http://localhost:3000/system/media_attachments/files/000/000/011/original/3225f2cff95c6c57.jpeg","preview_url":"http://localhost:3000/system/media_attachments/files/000/000/011/small/3225f2cff95c6c57.jpeg","remote_url":null,"text_url":"http://localhost:3000/media/lS5uGpo0u3piejvEXlU","meta":{"focus":{"x":0.69,"y":0.69},"original":{"width":600,"height":600,"size":"600x600","aspect":1.0},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"John
        Lennon doing a cool walk"}'}
    headers:
      Cache-Control: ['max-age=0, private, must-revalidate']
      Content-Type: [application/json; charset=utf-8]
      ETag: [W/"eaacc0e189f89a0da12b15baf9f7661c"]
      Referrer-Policy: [strict-origin-when-cross-origin]
      Transfer-Encoding: [chunked]
      Vary: ['Accept-Encoding, Origin']
      X-Content-Type-Options: [nosniff]
      X-Download-Options: [noopen]
      X-Frame-Options: [SAMEORIGIN]
      X-Permitted-Cross-Domain-Policies: [none]
      X-Request-Id: [c09d040e-0bf6-4613-b521-e7efeec621c0]
      X-Runtime: ['0.035817']
      X-XSS-Protection: [1; mode=block]
      content-length: ['534']
    status: {code: 200, message: OK}
version: 1
